<template>
    <div class="page-table scrollable only-y">
        <div class="">
            <h1>Job Seekers</h1>
            <!--<h4>for a better experience on Mac OS during horizontal scroll is prefered disable the "Swipe between pages" option </h4>-->

            <div class="page-status">
                <el-breadcrumb separator="/">
                    <el-breadcrumb-item :to="{ path: '/' }"><i class="mdi mdi-home-outline"></i></el-breadcrumb-item>
                    <el-breadcrumb-item :to="{ path: '/job-seekers' }">Job Seekers</el-breadcrumb-item>
                    <el-breadcrumb-item v-if="detail.full_name">{{detail.full_name.length < 50 ? detail.full_name : detail.full_name.substring(0,45)+'...'}}</el-breadcrumb-item>
                </el-breadcrumb>
                <div v-if="detail.status">
                    <div v-if="detail.status == 'verified'" class="content-status verified-item">
                        <span class="lbl lbl-success"> {{$helper.replaceUnderscore(detail.status)}}</span>
                    </div>
                    <div v-else-if="detail.status == 'profile_completed'"  class="content-status verified-item">
                        <span class="lbl lbl-info"> {{$helper.replaceUnderscore(detail.status)}}</span>
                    </div>
                    <div v-else class="content-status verified-item">
                        <span class="lbl label-default"> {{$helper.replaceUnderscore(detail.status)}}</span>
                    </div>
                </div>
            </div>
            <honey-logs :showHoneyLogsDialog.sync="showHoneyLogsDialog"
            :userID.sync="detail.userID"
             ></honey-logs>
            <add-honey :dialogFormvisible.sync="dialogFormvisible" rerefreshList></add-honey>
        </div>
        <br/>
        <el-card v-if="isContentFound" style="text-align: left; margin: 20px 0" v-loading="loading">
            <not-found></not-found>
        </el-card>
        <div v-else>
            <el-card class="box-card" style="text-align: left; position: relative" v-loading="loading">
                <div class="card-inner p-relative">
                    <div class="header-tool">
                        <el-button @click="onEdit" class="btn-edit" icon="el-icon-edit" circle type="primary"></el-button>
                    </div>
                    <div class="profile-card">
                        <div class="left-card" style="text-align: center">
                            <div class="img-profile">
                                <img
                                        ref="avatar_img"
                                        class="img-full-detail"
                                        @click="showAvatar(detail.avatar_url, $event)"
                                        :src="(detail.avatar_url)? detail.avatar_url: $store.state.avtHolder">
                            </div>
                            <h2 style="margin-bottom: 0">{{detail.full_name}}
                                <i v-if="detail.gender == 'female'" class="mdi mdi-gender-female"></i>
                                <i v-if="detail.gender == 'male'" class="mdi mdi-gender-male"></i>
                            </h2>

                        </div>
                        <div class="right-card">
                            <div class="right-card-inner">
                                <el-row :gutter="20" style="width: 100%">
                                    <el-col :span="24">
                                        <div class="info-item" v-if="detail.id" title="Seeker ID">
                                            <i class="mdi mdi-account-key"></i><span>  {{detail.id}} </span>
                                        </div>
                                    </el-col>
                                    <el-col :span="24">
                                        <div class="info-item" title="Experience years">
                                            <i class="mdi mdi-star"></i><span> {{parseInt(detail.exp_years) > 0   ? parseInt(detail.exp_years) +' year(s) experience' : 'No experience' }}</span>
                                        </div>
                                    </el-col>
                                    <el-col :span="24">
                                        <div class="info-item" v-if="detail.email" title="Email">
                                            <i class="mdi mdi-email-outline"></i><span> {{detail.email}} </span>
                                        </div>
                                    </el-col>
                                    <el-col :span="24">
                                        <div class="info-item" v-if="detail.phone_number" title="Phone number">
                                            <i class="el-icon-mobile-phone"></i>
                                            <span >
                                                {{detail.phone_number}}
                                                <i v-if="detail.phone_number_verified_at" class="mdi mdi-check-circle icon-success" ></i>
                                            </span>
                                        </div>
                                    </el-col>
                                    <el-col :span="24">
                                        <div class="info-item" v-if="detail.birth_date" title="Birthday">
                                            <i class="mdi mdi-calendar"></i><span> {{detail.birth_date | moment("DD-MM-YYYY")}}</span>
                                        </div>
                                    </el-col>
                                    <el-col :span="24">
                                        <div class="info-item" v-if="detail.address" title="Address">
                                            <i class="el-icon-location"></i><span> 	{{detail.address}}</span>
                                        </div>

                                    </el-col>
                                    <el-col :span="24">
                                        <div class="info-item small" v-if="detail.created_at" title="Create at">
                                            <i class="mdi mdi-calendar-clock"></i><span> {{ detail.created_at | moment("DD-MM-YYYY HH:mm:ss") }}</span>
                                        </div>
                                    </el-col>
                                </el-row>
                                <el-row :gutter="20" >
                                    <el-col :span="24">
                                        <div class="info-item small" title="Interest" >
                                             <i class="mdi mdi-heart"></i>
                                           <el-tag v-for="item in detail.interests" :key="item.id" size="small">
                                            {{item.name}}
                                           </el-tag>
                                        </div>
                                    </el-col>
                                </el-row>
                                <el-row :gutter="20">
                                    <el-col>
                                        <div title="Click to see identity image" v-if="detail.identity_image_url" class="identityBox">
                                            <div class="identityItem">
                                                <img @click="showAvatar(detail.identity_image_url, $event)" :src="detail.identity_image_url" class="identityImage radius5 clickable"/>
                                                <span class="inlineText">
                                                    <p class="successText clickable" @click="showAvatar(detail.identity_image_url, $event)">Identity Photo</p>
                                                </span>
                                            </div>
                                                 <el-button @click="updateStatus(true)"
                                                        v-if="!detail.verified_at && detail.status == 'profile_completed' && detail.identity_image_url"
                                                        :disabled="isDisabledVerify"
                                                        class="txt-verify verified"
                                                        type="success">
                                                    Verify
                                                </el-button>
                                                 <el-button
                                                v-if="detail.status == 'verified'"
                                                :disabled="isDisabledVerify"
                                                 @click="unverified"
                                                title="Click to unverified" type="primary">Unverify</el-button>
                                        </div>

                                        <div v-else class="warningBox">
                                            <div class="info-item warningItem">
                                                <i class="mdi mdi-image-off"></i><span> Haven't uploaded identity image yet.</span>
                                            </div>
                                            <!-- <div class="iconBox">
                                                <i class="mdi mdi-image-off warningIcon"></i>
                                            </div>
                                            <p class="warningText inlineText"></p> -->
                                        </div>
                                    </el-col>
                                </el-row>

                                <br/><br/>
                                <el-row :gutter="20" class="small-detail">
                                    <el-col class="flex align-center">
                                        <img @click="showHoneyLogsDialog = true" src="@/assets/images/ic_payment_honey.png" class="icon-detail icon-detail-honey-log"/>
                                        {{detail.honey_balance}}
                                        <!-- <el-button icon="mdi mdi-eye"
                                                    type="primary"
                                                    @click="showHoneyLogsDialog = true"
                                                    class="ml-20"
                                                    >
                                            </el-button> -->
                                        <div style="text-align: right;">

                                        </div>
                                    </el-col>

                                </el-row>

                            </div>
                        </div>
                    </div>

                </div>

                <div class="profile-bottom flex justify-flex-end">
                     <el-button type="danger"
                            @click="handleActionClick(false)"
                             :disabled="disabledClickable"
                            v-if="isDeactivated"
                            >Deactivate</el-button>
                            <el-button type="success"
                            @click="handleActionClick(true)"
                            :disabled="disabledClickable"
                            v-if="!isDeactivated"
                            >Activate</el-button>
                    <div >
                        <el-dropdown style="margin-left: 10px;" type="primary" split-button   @click="dialogFormvisible = true"  @command="command => showDialog(command)"  trigger="click">
                                    Add honey
                            <el-dropdown-menu slot="dropdown">
                                <el-dropdown-item  command="showHoneyLogsDialog">Show honey logs</el-dropdown-item>
                                <!-- <el-dropdown-item command="downloadCV">Download CV</el-dropdown-item> -->
                            </el-dropdown-menu>
                         </el-dropdown>
                    </div>

                </div>
            </el-card>





        <el-tabs v-model="activeName" @tab-click="handleTabClick" :tab-position="tabPosition" class="mt-50 mb-20 card-shadow--small p-20" style="background-color: #fff">
            <el-tab-pane label="Education" v-loading="tabLoading" name="education">
                 <span slot="label" class="label-tab-seeker-detail">Education</span>
                    <!-- Start Education card -->
                <div >
                    <el-row v-if="educations.length < 1 " class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    v-if="educations"
                    :key="index"
                    v-for="(item, index) in educations" class="education-box background-info">
                        <p class="shool-name">School: {{item.school}}</p>
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Major: </b>{{ item.majors}}</span>
                            </div>
                            <div class=" small">
                                <span><b>From: </b>{{ item.start_date |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Created at: </b>{{ item.created_at |moment("DD-MM-YYYY") }}</span>
                            </div>
                        </el-col>
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Degree: </b>{{ $helper.replaceUnderscore(item.degree) }}</span>
                            </div>
                            <div class=" small">
                                <span><b>To: </b>{{item.end_date |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Updated at: </b>{{item.updated_at |moment("DD-MM-YYYY")}}</span>
                            </div>
                        </el-col>
                    </el-row>
                </div>
            <!-- End education card -->

        </el-tab-pane>
        <!-- End tab pane education -->

        <!-- Start tab pane Experiences -->
        <el-tab-pane v-loading="tabLoading" label="Experiences">
             <span slot="label" class="label-tab-seeker-detail">Job Experience</span>
              <!-- Start experinces card -->

                <div>
                    <el-row v-if="!experiences" class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    :key="index"
                    v-for="(item, index) in experiences" class="education-box background-info">
                        <p class="shool-name">Title: {{item.title}}</p>
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Start: </b>{{ item.start_date  |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>End: </b>{{ item.end_date |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Description : </b>{{ item.description }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Company : </b>{{ item.company }}</span>
                            </div>
                        </el-col>
                    </el-row>
                </div>
            <!-- End experiences card -->
        </el-tab-pane>
        <!-- End tab pane Experiences -->

         <!-- Start tab pane Achievements -->
        <el-tab-pane v-loading="tabLoading" label="Achievements">
             <span slot="label" class="label-tab-seeker-detail">Achievements</span>
              <!-- Start Achievements card -->

                <div>
                    <el-row v-if="!achievements" class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    :key="index"
                    v-for="(item, index) in achievements" class="education-box background-info">
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Content: </b>{{ item.content}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Created: </b>{{  item.created_at |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Updated: </b>{{ item.updated_at |moment("DD-MM-YYYY") }}</span>
                            </div>
                        </el-col>
                    </el-row>
                </div>
            <!-- End Achievements card -->
        </el-tab-pane>
        <!-- End tab pane Achievements -->

 <!-- Start tab pane Characters -->
        <el-tab-pane v-loading="tabLoading" label="Characters">
              <span slot="label" class="label-tab-seeker-detail">Character reference</span>
             <!-- Start characters card -->

                <div>
                    <el-row v-if="!characters" class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    :key="index"
                    v-for="(item, index) in characters" class="education-box background-info">
                        <p class="shool-name">ID: {{item.id}}</p>
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Seeker ID: </b>{{ item.seeker_id}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Company: </b>{{ item.company}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Name: </b>{{ item.name}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Created: </b>{{ item.created_at |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Email: </b>{{item.email}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Postion: </b>{{item.position}}</span>
                            </div>
                        </el-col>
                            <div class=" small">
                                <span><b>Phone number: </b>{{item.phone_number}}</span>
                            </div>
                        </el-col>
                    </el-row>
                </div>
            <!-- End characters card -->

        </el-tab-pane>
        <!-- End tab pane characters -->

        <!-- Start tab pane Skills -->
        <el-tab-pane label="Skills" v-loading="tabLoading">
             <span slot="label" class="label-tab-seeker-detail">Skills</span>
              <!-- Start Skills card -->

                <div>
                    <el-row v-if="!skills" class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    :key="index"
                    v-for="(item, index) in skills" class="education-box background-info">
                        <p class="shool-name">Seek ID: {{item.seeker_id}}</p>
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Content: </b>{{ item.content}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Create: </b>{{ item.created_at |moment("DD-MM-YYYY") }}</span>
                            </div>
                        </el-col>
                    </el-row>
                </div>
            <!-- End Skills card -->

        </el-tab-pane>
        <!-- End tab pane Skills -->


        <!-- Start tab pane Testimonials -->
        <el-tab-pane label="Testimonial" v-loading="tabLoading">
              <span slot="label" class="label-tab-seeker-detail">Work Testimonial</span>
             <!-- Start Testimonials card -->

                <div>
                    <el-row v-if="!testimonials" class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    :key="index"
                    v-for="(item, index) in testimonials" class="education-box background-info">
                        <p class="shool-name">ID: {{item.id}}</p>
                        <el-col :span="12">
                            <div class=" small">
                                <span><b>Seeker ID: </b>{{ item.seeker_id}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Employer ID: </b>{{ item.employer_id}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Name: </b>{{ item.name}}</span>
                            </div>
                            <div class=" small">
                                <span><b>Created: </b>{{ item.created_at |moment("DD-MM-YYYY") }}</span>
                            </div>
                            <div class=" small">
                                <span><b>Content: </b>{{item.content}}</span>
                            </div>
                        </el-col>
                    </el-row>
                </div>
            <!-- End Testimonials card -->

        </el-tab-pane>


        </el-tabs>
        <!-- End tab pane Testimonials -->






           <!-- Start Application card -->
              <el-card  class="box-card mt-20 mb-30" style="text-align: left;" v-loading="loading">
                  <h3 class="label-tab-seeker-detail">Applications</h3>
                <div>
                    <el-row v-if="!applications || !applications.length" class="text-center">
                        <p>No data</p>
                    </el-row>
                    <el-row
                    :key="index"
                    v-for="(item, index) in data" class="education-box background-info">
                        <!-- <p class="shool-name">ID: {{item.id}}</p> -->
                        <el-col :span="12">
                            <div class="info-item small">
                                <span><img :src="item.url" alt="Icon application" width="64" height="64"></span>
                            </div>
                            <div class="info-item small">
                                <span><b>Position: </b>{{ item.position ? item.position: ''}}</span>
                            </div>

                            <div class="info-item small">
                                <span v-if="item.created_at"><b>Applied at: </b>{{  item.created_at | moment("DD-MM-YYYY")  }}</span>
                                <span v-if="!item.created_at"><b>Applied At: </b></span>
                            </div>

                        </el-col>
                    </el-row>
                </div>
            </el-card>
            <!-- End Application card -->



        </div>
        <view-image
                :dialogvisible.sync="dialogvisible"
                :imageUrl.sync="imageUrl">
        </view-image>

    </div>
</template>

<script>
    import AddHoney from "~/components/dialogs/AddHoney";
    import HoneyLogs from "~/components/dialogs/HoneyLogs"
    import {seeker as seekerApi} from '~/services/apis/index';
    import NotFound from '../ContentNotFound'
    import config from '~/services/config'
    import helper from '~/services/helper'
    import ViewImage from "~/components/dialogs/ViewImage";

    export default {
        name: 'SeekerDetail',
        components: {
            HoneyLogs,
            AddHoney,
            NotFound,
            ViewImage
        },
        data() {
            return {
                detail: {
                    id: "",
                    user_id: '',
                    created_at: "",
                    updated_at: "",
                    status: "",
                    exp_years: "",
                    userID: "",
                    email: "",
                    phone_number: "",
                    first_name: "",
                    last_name: "",
                    middle_name: "",
                    full_name: "",
                    gender: "",
                    birth_date: "",
                    phone_number_verified_at: "",
                    verified_at: "",
                    identity_image_url: "",
                    honey_balance: "",
                    avatar_url: "",
                    address: "",
                    school: "",
                    degree: "",
                    majors: "",
                    start_date: "",
                    end_date: "",
                    interests: [],
                    educations: [],

                },
                userDetail: {},
                experiences: '',
                testimonials: '',
                characters: '',
                skills: '',
                educations: [],
                applications: [],
                achievements: '',
                data: [],
                loading: true,
                isContentFound: false,
                dialogvisible: false,
                imageUrl: null,
                isDisabledVerify: false,
                dialogFormvisible: false,
                showHoneyLogsDialog: false,
                tabPosition: "top",
                tabLoading: true,
                activeName: 'education',
                currentOrientation: '',
                 isDeactivated: '',
                 disabledClickable: false,
            }
        },
        methods: {

            getDetail() {
                this.loading = true;
                if (!this.$route || !this.$route.params.id) return;
                seekerApi.getSeeker(this.$route.params.id)
                    .then((res) => {


                        this.initDetail(res.data.data);
                        this.getApplications()
                        this.isContentFound = false;
                        this.loading = false;
                    })
                    .catch((err) => {
                        this.isContentFound = true;
                        this.loading = false;
                    })


            },
            initDetail(data) {
                if (!data) return;
                this.detail = {
                    id: data.id,
                    created_at: data.created_at,
                    updated_at: data.updated_at,
                    status: data.status,
                    exp_years: data.exp_years  ,
                    verified_at: data.verified_at,
                    identity_image_url: data.identity_image_url,
                    honey_balance: helper.formatNumber(data.honey_balance, 0),
                }

                if (data.user) {

                    this.detail.userID = data.user.id;
                    this.detail.email = data.user.email;
                    this.detail.first_name = data.user.first_name;
                    this.detail.last_name = data.user.last_name;
                    this.detail.middle_name = data.user.middle_name;
                    this.detail.full_name = data.user.full_name;
                    this.detail.gender = data.user.gender;
                    this.detail.birth_date = data.user.birth_date;
                    this.detail.honey_balance = helper.formatNumber(data.user.honey_balance, 0);
                    this.detail.avatar_url = data.user.avatar_url;
                    this.detail.phone_number = data.user.phone_number;
                    this.detail.phone_number_verified_at = data.user.phone_number_verified_at;
                    this.isDeactivated = data.user.deactivated_at ? false : true
                }
                if (data.address) {
                    this.detail.address = data.address.street;
                }
                if(data.interests) {
                    this.detail.interests = data.interests;
                }


            },
            formatTime(from, to) {
                if (!from && !to) {
                    return ""
                }

                return "from " + from + " to " + to;
            },
            showAvatar(url, event) {
                if (event) {
                    event.preventDefault();
                    event.stopPropagation();
                }

                if (!url) return;
                this.imageUrl = url;
                this.dialogvisible = true;
            },
            updateStatus(value) {
                this.isDisabledVerify = true;
                if (this.detail.status != 'profile_completed') {
                    this.$notify({
                        title: "Error",
                        message: "Verify failed!Please complete profile",
                        type: "error"
                    });
                    return;
                    this.isDisabledVerify = false;
                }

                if (!this.detail.identity_image_url) {
                    this.$notify({
                        title: "Error",
                        message: "Verify failed! Please upload identity image",
                        type: "error"
                    });
                    this.isDisabledVerify = false;
                    return;
                }
                seekerApi.verify(this.detail.id, value)
                    .then(res => {
                        if (res.status === 200) {
                            this.$notify({
                                title: "Success",
                                message: "Verify successfully!",
                                type: "success"
                            });
                            this.detail.isVerified = value;
                            this.isDisabledVerify = true;
                            this.detail.verified_at = true;
                            this.detail.status = "verified";
                            setTimeout(() => {
                                 this.isDisabledVerify = false;
                            },1000)
                        }
                    })
                    .catch(err => {
                        this.$notify({
                            title: "Error",
                            message: "Verify failed!",
                            type: "error"
                        });
                        this.isDisabledVerify = false;
                    });
            },
            getExperiences() {
                this.tabLoading = true;
                  seekerApi.getExperiences(this.$route.params.id)
                    .then(res => {
                        res.data.data.length ? this.experiences = [...res.data.data] : this.experiences = null;
                    this.tabLoading = false;
                    })
                    .catch((err) => {
                        this.isContentFound= true
                        this.tabLoading = false

                    })
            },
            getSkills() {
                this.tabLoading = true;
                seekerApi.getSkills(this.$route.params.id)
                    .then(res => {
                      res.data.data.length ? this.skills = [...res.data.data] : this.skills = null;
                     this.tabLoading = false;
                    })
                    .catch( err => {
                       this.isContentFound = true;
                      this.tabLoading = false;
                    })
            },
            getEducations () {
                this.tabLoading = true;
                seekerApi.getEducations(this.$route.params.id)
                .then(res => {
                    if(res.data.success) {
                        // eslint-disable-next-line
                        // console.log('res.data:',res.data)

                        this.educations = [...res.data.data];
                    }
                    this.tabLoading = false;
                })
                .catch(err => {
                    this.isContentFound = true;
                    this.tabLoading = false;
                })
            },
            getTestimonials() {
                 this.tabLoading = true
                seekerApi.getTestimonials(this.$route.params.id)
                    .then(res => {

                        res.data.data.length ? this.testimonials = [...res.data.data] : this.testimonials = null;
                        this.tabLoading = false;
                    })
                    .catch(err => {
                        this.isContentFound = true;
                        this.tabLoading = false;
                    })
            },
            getApplications() {
                this.tabLoading = true;
                seekerApi.getApplications(this.$route.params.id)
                    .then(res => {

                        res.data.data.forEach(e => {
                            let created_at = e.created_at;
                            let position = e.job_post.job.position;
                            let url = (e.job_post.job.logo && e.job_post.job.logo.url)? e.job_post.job.logo.url : config.avtHolder ;
                         this.data.push({created_at,position, url});
                        })
                        res.data.data.length ? this.applications = [...res.data.data] : this.applications = null;
                        this.tabLoading = false;
                    })
                    .catch(err => {
                        this.isContentFound = true;
                        this.tabLoading = false;
                    })
            },
            getCharacters() {
                this.tabLoading = true;
                seekerApi.getCharacters(this.$route.params.id)
                    .then(res => {
                        if(res.data.success) {
                            /*eslint-disable*/
                            // console.log('res.data.data :', res.data.data);
                              res.data.data.length ? this.characters = [...res.data.data] : this.characters = null;
                        }
                        this.tabLoading = false;
                    })
                    .catch(err => {
                        this.isContentFound = true;
                        this.tabLoading = false;
                    })
            },
            getAchievements() {
                 this.tabLoading = true
                seekerApi.getAchievements(this.$route.params.id)
                    .then(res => {

                        res.data.data.length ? this.achievements = [...res.data.data] : this.achievements = null;
                        this.tabLoading = false;
                    })
                    .catch(err => {
                        this.isContentFound = true;
                        this.tabLoading = false;
                    })
            },
            onEdit() {
                this.$router.push({
                    name: 'seeker_edit',
                })

            },
            handleTabClick(tab, event) {
                if(!tab.label) return;
                switch(tab.label) {
                    case 'Experiences':
                        this.getExperiences()
                        break
                    case 'Skills':
                        this.getSkills()
                        break
                    case 'Testimonial':
                        this.getTestimonials()
                        break
                    case 'Educations':
                        this.getEducations()
                        break
                    case 'Characters':
                        this.getCharacters()
                        break
                    case 'Achievements':
                        this.getAchievements()
                        break
                }
            },
            // downloadCV() {
            //     return
            //     seekerApi.getCV(this.$route.params.id).then(res => {
            //         if(res.data.success) {
            //             console.log('Res  :', res);
            //         }
            //     }).catch(err => {
            //         console.log('Loi :', err);
            //     })
            // },
            showDialog(name) {
               if(name) {
                   name === 'showHoneyLogsDialog' ? this.showHoneyLogsDialog = true :  this.showHoneyLogsDialog  = false
               }
            },
            unverified() {
                this.isDisabledVerify = true;
               seekerApi.verify(this.$route.params.id, false)
               .then(res => {
                    this.$notify({
                        title: "Success",
                        message: "Unverify successfully!",
                        type: "success"
                    });
                           this.detail.status = 'profile_completed';
                            this.isDisabledVerify = false;
                            this.detail.verified_at = null;
               })
               .catch(err => {
                    this.$notify({
                        title: "Error",
                        message: "Unverify failed!",
                        type: "error"
                    });
               })
            },
            handleActionClick(value) {
                if(!value) {
                    this.$confirm('Are you sure you want to deactivate this account ?', 'Warning', {
                    confirmButtonText: 'OK',
                    cancelButtonText: 'Cancel',
                    type: 'warning',
                    center: true
                }).then(res => {
                  this.handleActivateSeeker(value)
                }).catch((err) => {
                })
                } else {
                    this.handleActivateSeeker(value)
                }

            },
            handleActivateSeeker(value) {
                 this.disabledClickable = true
                 let message = value ? 'Activate' : 'Deactivate'
                   seekerApi.isActivate(this.$route.params.id,value)
                .then(res => {
                    if(res.data.success) {
                        this.$notify({
                        title: "Success",
                        message: `${message} successfully!`,
                        type: "success"
                    });
                    }
                    this.isDeactivated = value;
                    setTimeout(() => {
                        this.disabledClickable = false;
                    },1000)
                })
                .catch(err => {
                     this.$notify({
                        title: "Error",
                        message:`${message} failed!`,
                        type: "error"
                    });
                    this.disabledClickable = false;
                })
            }

        },
        watch: {

        },
        created () {
            this.getEducations()
           this.getDetail()
            },
        mounted() {

        }
    }
</script>


<style lang="scss">
    .icon-detail-honey-log {
        cursor: pointer;
    }
    .clickable {
        cursor: pointer;
    }

    .absolute-icon {
        position: absolute;
        top: 0;
        right: 2px;

    }

    .education-box {
        padding: 10px;
        margin-bottom: 20px;
        .shool-name {
            display: block;
            font-size: 1.17em;
            margin: 10px 0;
            font-weight: bold;
        }

    }

    .btn-verify {
        position: absolute;
        top: 10px;
        right: 10px;

    }

    .profile-card {
        & > div {
            display: inline-block;
            vertical-align: top;

        }
        .left-card {
            width: 250px;
            padding: 20px 0;
        }
        .right-card {
            width: calc(100% - 250px);
            .right-card-inner {
                padding:20px;
            }

        }
    }

    .btn-eye {
        padding: 1px 6px;
    }

    .profile-bottom {
        width: 100%;
        padding-top: 25px;
        border-top: 1px solid #f1f1f1;
    }

    .verified-item {
        float: right;
    }

    .background-info{
        background-color: #f3f7fa;
    }

    // Identity image
    .identityBox {
        display: flex;
        margin-top: 5px;
    }
        .identityItem {
            display: flex;
            border: 1px solid #a1ebc2;
            color: #13ce66;
            background: #e7faf0;
            padding: 5px 10px;
            border-radius: 5px;
            align-items: center;
            margin-right: 15px;
        }
            .identityImage {
                height: 30px;
                margin-top: 3px;
            }
    .warningItem {
        color: orange;
    }

    .warningBox {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        max-width: 100%;
    }
    .iconBox {
        display: inline-block;
        margin: 0;
        margin-right: 10px;
    }
        .warningIcon {
            font-size: 1.5rem;
        }
    .inlineText {
        display: inline-block;
        margin-left: 10px;
    }
        .radius5 {
            border-radius: 5px;
        }
        .warningText {
            font-size: 1rem;
            line-height: 36px;
            color: orange;
            margin: 0;
            margin-right: 10px;
        }
        .successText {
            font-size: 1rem;
            color: #28a745;
            margin: 0;
            text-decoration: none;
            cursor: pointer;
        }
    .label-tab-seeker-detail {
        font-size: 1.2rem
    }
</style>
